import { createSelector } from "reselect";

const selectScan = (state) => state.scan;

export const selectScanLoading = createSelector(
  [selectScan],
  (scan) => scan.loading
);
export const selectScanEstimates = createSelector(
  [selectScan],
  (scan) => scan.estimates
);

export const selectScanLastScanned = createSelector(
  [selectScan],
  (scan) => scan.lastScanned
);
